%global bumpver 1

Name:           rare
Version:        1.11.3
Release:        %{bumpver}

Summary:        Open source alternative for Epic Games Launcher, using Legendary
License:        GPL-3.0-only
URL:            https://github.com/RareDevs/Rare

Source0:        %{url}/archive/refs/tags/%{version}.tar.gz



BuildRequires: python3-devel
BuildRequires:  pkgconfig(python)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(setuptools-scm)
BuildRequires:  python3dist(pip)
BuildRequires:  python3dist(wheel)

Requires:       python3dist(pypresence)
Requires:       python3dist(requests)
Requires:       python3dist(pillow)
Requires:       python3dist(qtawesome)
Requires:       python3dist(psutil)
Requires:       python3dist(typing-extensions)
Requires:       python3dist(vdf)
Requires:       pyside6
Requires:       legendary

%description
%{summary}.

%prep
%autosetup -n %{name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install

%files
%{_bindir}/rare
%{python3_sitelib}/Rare-%{version}.0.dist-info/
%{python3_sitelib}/%{name}
%{_datadir}/applications/rare.desktop
%{_datadir}/pixmaps/rare.png

%changelog
%autochangelog